#!/usr/bin/env bash

set -e

if ! [ -f "$1" ]; then
  echo "$1" is not a file;
  exit 1;
fi

json=$(magick convert "$1" JSON:-)

width=$(echo $json | jq '.[0].image.geometry.width')
height=$(echo $json | jq '.[0].image.geometry.height')

magick convert "$1" RGBA:- | \
  cargo r --example stdin --release -- \
    --width $width \
    --height $height
